import {request} from '../utils/request'

// 获取流程申请类型
export function myDefinitionList(data) {
	return request({
		url: '/wxApi/flowTask/myDefinitionList',
		method: 'get',
		data: data
	})
}

// 启动流程实例
export function startProcessInstance(data) {
	return request({
		url: '/wxApi/flowTask/startProcessInstance',
		method: 'post',
		data: data
	})
}

// 查询流程节点
export function readNotes(deployId) {
	return request({
		url: '/wxApi/flowTask/readNotes/'+deployId,
		method: 'get'
	})
}

// 查询流程节点
export function readDeployNotes(deployId) {
	return request({
		url: '/wxApi/flowTask/readDeployNotes/'+deployId,
		method: 'get'
	})
}

// 取消流程申请
export function stopProcess(data) {
	return request({
		url: '/wxApi/flowTask/stopProcess',
		method: 'post',
		data: data
	})
}

// 撤回流程办理
export function revokeProcess(data) {
	return request({
		url: '/wxApi/flowTask/revokeProcess',
		method: 'post',
		data: data
	})
}

// 审批任务流程
export function complete(data) {
	return request({
		url: '/wxApi/flowTask/complete',
		method: 'post',
		data: data
	})
}

// 驳回任务流程
export function reject(data) {
	return request({
		url: '/wxApi/flowTask/reject',
		method: 'post',
		data: data
	})
}

// 退回任务流程
export function returnTask(data) {
	return request({
		url: '/wxApi/flowTask/return',
		method: 'post',
		data: data
	})
}

// 委派任务流程
export function delegateTask(data) {
	return request({
		url: '/wxApi/flowTask/delegateTask',
		method: 'post',
		data: data
	})
}

// 转办任务流程
export function assignTask(data) {
	return request({
		url: '/wxApi/flowTask/assignTask',
		method: 'post',
		data: data
	})
}

// 删除流程实例
export function deleteInstance(instanceId) {
	return request({
		url: '/wxApi/flowTask/delete/'+instanceId,
		method: 'get'
	})
}

// 获取所有可回退的节点
export function returnList(data) {
	return request({
		url: '/wxApi/flowTask/returnList',
		method: 'post',
		data: data
	})
}

// 根据流程Id查询操作日志
export function findCommentByProcInsId(data) {
	return request({
		url: '/wxApi/flowTask/findCommentByProcInsId',
		method: 'get',
		data: data
	})
}

// 根据条件查询我的代办任务
export function myAwaitFlowTaskList(data) {
	return request({
		url: '/wxApi/flowTask/myAwaitFlowTaskList',
		method: 'post',
		data: data
	})
}

// 根据条件查询我的已办任务
export function myFinishedFlowTaskList(query) {
	return request({
		url: '/wxApi/flowTask/myFinishedFlowTaskList',
		method: 'get',
		params: query
	})
}

// 根据条件查询所有流申请
export function allInstanceList(data) {
	return request({
		url: '/wxApi/flowTask/allList',
		method: 'get',
		data: data
	})
}

// 根据条件查询所有流申请
export function myInstanceList(data) {
	return request({
		url: '/wxApi/flowTask/myList',
		method: 'get',
		data: data
	})
}

// 根据条件统计所有流程任务
export function queryTaskCount(data) {
	return request({
		url: '/wxApi/flowTask/queryCount',
		method: 'get',
		data: data
	})
}